> For the complete documentation index, see [llms.txt](https://apidocs.saino.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.saino.io/account-api/account-and-balance-info.md).

# Account & Balance Info

## Check your account information balance

<mark style="color:blue;">`GET`</mark> `<base_url>/my-account?token=<YOUR_API_TOKEN>`

Sometimes you may need to check your balance before sending any SMS, Voice Call or using any services provided by the SainoFirst  platform, use this API to do so.

#### Query Parameters

| Name  | Type   | Description                            |
| ----- | ------ | -------------------------------------- |
| token | string | Your API token (always keep it secret) |

{% tabs %}
{% tab title="200 Account info successfully retrieved." %}

```javascript
{
  "status": true,
  "message": "Successfully Retrived Details.",
  "data": {
    "userId": <your_user_id>,
    "userRole": "<USER_ROLE_STRING>",
    "userName": "<USER_NMAE_STRING>",
    "emailId": "<EMAIL_ID_STRING>",
    "mobileNumber": "<MOBILE_NUMBER_STRING>",
    "contactDetails": {
      "clientName": "<CLIENT_NAME_STRING>",
      "companyName": "<COMPANY_NMAE_STRING>",
      "designation": "<DESIGNATION_STRING>",
      "address": "<ADDRESS_STRING>",
      "city": "<CITY_STRING>",
      "country": "<COUNTRY_STRING>",
      "pincode": "<ZIPCODE_STRING>",
      "state": "<STATE_STRING>",
      "website": "<WEBSITE_STRING>",
      "faxNumber": <fax_number>,
      "taxNumber": "<TAX_NUMBER_OR_ID_STRING>"
    },
    "profile": {
      "language": "<USER_LANGUAGE_STRING>",
      "timezone": "<USER_TIMEZONE_STRING>",
      "currency": "USER_CURRENCY_STRING",
      "balance": <balance_decimal>
    },
    /* Apps allowed only for current API token (token passed in request url)
    *  will be shown here
    */
    "appsAvailable": [
      "BULK_SMS",
      "BULK_VOICE",
      "MISSED_CALL",
      "SHORT_CODE",
      "IVR_TOLL",
      "WHATSAPP",
      "SMPP"
    ]
  }
}
```

{% endtab %}

{% tab title="404 Could not find data." %}

```javascript
{
    status: false, 
    message: "No such user found." // Reason or Error Messgae.
}
```

{% endtab %}

{% tab title="500 Something went wrong on our side while processing your request." %}

```javascript
{
    status: false, 
    message: "Unable to fetch account details." // Reason or Error Messgae.
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.saino.io/account-api/account-and-balance-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
